www.libssh2.org | Daily snapshots | Mailing list archive | Docs | Examples | github

Archive Index This month's Index

Subject: Re: ANNOUNCE: libssh2 version 1.4.1

Re: ANNOUNCE: libssh2 version 1.4.1

From: Guenter <lists_at_gknw.net>
Date: Fri, 25 May 2012 04:39:36 +0200

Hi Daniel,
Am 17.04.2012 23:04, schrieb Daniel Stenberg:
> On Tue, 17 Apr 2012, Guenter wrote:
>
>> I've just tried to build for Android, but I ran into the issue I
>> described in curl docs/INSTALL about outdated config.guess /
>> config.sub files which make configure fail with
>> --host=arm-linux-androideabi;
>> I wondered that this happened since it does work with curl 7.25.0; do
>> you build the libssh2 releases on another host? If so can you perhaps
>> take care to update config.guess / config.sub in your automake folder
>> to more recent versions?
>
> Oh.
>
> It turns out this happened because config.guess is just never updated in
> my release directory since the old one is still there and I never clean
> it. I removed it now and rerun ./buildconf and now I have a refreshed
> and new version in there! Perhaps buildconf should always make that
> happen...
>
> I'll make sure the next release will include the updated version!
hmm, unfortunately you did only take care for config.guess but not for
config.sub (2009-05-14), and so I still get with 1.4.2 release:
checking for arm-linux-androideabi-strip... arm-linux-androideabi-strip
checking libssh2 version... 1.4.2
checking build system type... x86_64-unknown-linux-gnu
checking host system type... Invalid configuration
`arm-linux-androideabi': system `androideabi' not recognized
configure: error: /bin/sh ./config.sub arm-linux-androideabi failed

after deleting config.sub and running buildconf it installed the newer
one from my build box and configure succeeded.

GŁn.

_______________________________________________
libssh2-devel http://cool.haxx.se/cgi-bin/mailman/listinfo/libssh2-devel
Received on 2012-05-25

the libssh2 team